package com.fjs.scenic.mapper.system;

import com.fjs.scenic.dto.LogsVo;
import com.fjs.scenic.entity.system.Logs;

import java.util.HashMap;
import java.util.List;


public interface LogsMapper {
    int deleteByPrimaryKey(Long id);

    int insert(Logs record);

    int insertSelective(Logs record);

    Logs selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(Logs record);

    int updateByPrimaryKey(Logs record);

    List<HashMap<String, Object>> selectByCondition(LogsVo logs);
}